#!/bin/bash

# set as absolute path.
#export AXIS_HOME="/x/home/bcoffman/java"
#export AXIS_HOME="../axis-1_1"
export AXIS_HOME="/x/home/dhan/java_client/axis-1_1"
echo "Using AXIS 1.1"

#echo "Using AXIS 1.2"
#export AXIS_HOME="/x/home/bcoffman/java/axis-1_2alpha"

if [ ! -d ${AXIS_HOME} ]; then
	echo cannot find axis distribution ...
	return 1;
fi
CLASSPATH="."
CLASSPATH="$CLASSPATH:$AXIS_HOME/lib/axis.jar"
CLASSPATH="$CLASSPATH:$AXIS_HOME/lib/jaxrpc.jar"
CLASSPATH="$CLASSPATH:$AXIS_HOME/lib/saaj.jar"
CLASSPATH="$CLASSPATH:$AXIS_HOME/lib/wsdl4j.jar"
CLASSPATH="$CLASSPATH:$AXIS_HOME/lib/commons-logging.jar"
CLASSPATH="$CLASSPATH:$AXIS_HOME/lib/commons-discovery.jar"
#CLASSPATH="/x/home/bcoffman/java/xerces-1_4_4/xerces.jar$SEP$CLASSPATH"
CLASSPATH="$CLASSPATH:./ppapi-20_0.jar"
export CLASSPATH

#JAVA=/cygdrive/c/Sun/AppServer/jdk/jre/bin/java
#JAVAC=/cygdrive/c/Sun/AppServer/jdk/bin/javac
#JAR=/cygdrive/c/Sun/AppServer/jdk/bin/jar
JAVA=/x/contrib/j2sdk1.4.0/bin/java
JAVAC=/x/contrib/j2sdk1.4.0/bin/javac
JAR=/x/contrib/j2sdk1.4.0/bin/jar

#echo finding java ...
#which javac || return
#which java || return
#which jar || return
#echo ; sleep 1

echo
echo "Be sure Java version is at least 1.4"
$JAVA -version
echo ; echo ; #sleep 3


echo "CLASSPATH="
echo $CLASSPATH
echo

echo "generating java files from wsdl ..."
$JAVA -cp "$CLASSPATH" org.apache.axis.wsdl.WSDL2Java ebayTypes.wsdl  
$JAVA -cp "$CLASSPATH" org.apache.axis.wsdl.WSDL2Java PayPalSvc.wsdl  

echo compiling wsdl generated java files ...
$JAVAC -g -classpath "$CLASSPATH" 	                \
	eBLBaseComponents/apis/ebay/*.java	\
	CoreComponentTypes/apis/ebay/*.java	\
	PayPalAPI/api/ebay/*.java		

echo compiling provided PayPal java programs
$JAVAC -g -classpath "$CLASSPATH"	                \
	com/paypal/api/client/*.java		\
	RefundTransaction.java			\
	BillUserRequest.java			\
	BillAgreementUpdate.java		\
	TransactionSearch.java			\
	MassPay.java				\
	GetTransactionDetails.java	

echo creating ppapi-20_0.jar which includes java source
$JAR -cf ppapi-20_0.jar eBLBaseComponents PayPalAPI CoreComponentTypes  com *.{java,class} 


echo "Make sure your classpath is correct, then test the connection with:"
echo "java RefundTransaction 83L04123RT262532W"
echo "java GetTransactionDetails 83L04123RT262532W"

