
package com.paypal.api.client;
import java.io.*;
import java.util.*;
import java.lang.*;

public class PrintResults {

    public PrintResults() {
    }

    public void printPayerInfoType (eBLBaseComponents.apis.ebay.PayerInfoType payerInfo) {
	if (payerInfo.getPayer() != null)
            System.out.println("	Payer:		"+ payerInfo.getPayer().toString());
        if (payerInfo.getPayerID() != null)
            System.out.println("	Payer ID:	"+ payerInfo.getPayerID().toString());
        if (payerInfo.getPayerStatus() != null)
            System.out.println("	Payer Status:	"+ payerInfo.getPayerStatus().toString());

	eBLBaseComponents.apis.ebay.PersonNameType pn = payerInfo.getPayerName();
	printPersonNameType(pn);

	if (payerInfo.getPayerBusiness() != null)
	    System.out.println("	Payer Business: " + payerInfo.getPayerBusiness());
	eBLBaseComponents.apis.ebay.AddressType a = payerInfo.getAddress();
	if (a==null) {
	    System.out.println("	Address: no address info");
	} else {
	    if (a.getAddressStatus()!=null)	
		System.out.println("		Addr Status: " + a.getAddressStatus());
	    if (a.getName() != null) 
		System.out.println("		Addr Name: " + a.getName());
	    if (a.getStreet1() != null)
		System.out.println("		Addr Street: " + a.getStreet1());
	    if (a.getStreet2() != null)
		System.out.println("		Street Lin 2: " + a.getStreet2());
	    if (a.getCityName() != null)
		System.out.println("		City: " + a.getCityName());
	    if (a.getStateOrProvince() != null)
            	System.out.println("		State/Prov: " + a.getStateOrProvince());
	    if (a.getCountry() != null)
		System.out.println("		Country: " + a.getCountry());
	    if (a.getCountryName() != null) 
		System.out.println("		Country Name: " + a.getCountryName());
	    if (a.getPhone() != null)
		System.out.println("		Phone: " + a.getPhone());
	    if (a.getPostalCode() != null) 
		System.out.println("		Postal Code: " + a.getPostalCode()); 
	    if (a.getExternalAddressID()!=null)
		System.out.println("		Ext Addr ID: " + a.getExternalAddressID()); 
	    if (a.getAddressID() != null) 
		System.out.println("		Addr ID: " + a.getAddressID());
	    if (a.getAddressOwner() != null) 
		System.out.println("		Addr owner: " + a.getAddressOwner().toString()); 
	    if (a.getInternationalName() != null) 
		System.out.println("		International Name: " + a.getInternationalName());
	    if (a.getInternationalStateAndCity() != null) 
		System.out.println("		International State & City: " + a.getInternationalStateAndCity()); 
	    if (a.getInternationalStreet() != null) 
		System.out.println("		International Street: " + a.getInternationalStreet());
	}
    }

    public void printPersonNameType(eBLBaseComponents.apis.ebay.PersonNameType payerName) {

        if (payerName == null) {
            System.out.println("        Payer Name: no info");
        } else {
            if (payerName.getSalutation()!=null)
                System.out.println("            Salutation: " + payerName.getSalutation().toString());
            if (payerName.getFirstName() !=null)
                System.out.println("            Payer First: " + payerName.getFirstName().toString());
            if (payerName.getMiddleName() !=null)
                System.out.println("            Payer Middle: " + payerName.getMiddleName().toString());
            if (payerName.getLastName()!=null)
                System.out.println("            Last Name: " + payerName.getLastName().toString());
            if (payerName.getSuffix()!=null)
                System.out.println("            Suffix: " + payerName.getSuffix().toString());
        }

    }

    public void printPaymentInfo(eBLBaseComponents.apis.ebay.PaymentInfoType paymentInfo) {

	if (paymentInfo.getParentTransactionID()!=null) 
            System.out.println("	Parent TID: " + paymentInfo.getParentTransactionID().toString());
        if (paymentInfo.getReceiptID()!=null) 
            System.out.println("	Receipt ID: " + paymentInfo.getReceiptID());
        if (paymentInfo.getTransactionType()!=null) 
            System.out.println("	Trans Type: " + paymentInfo.getTransactionType().toString());
        if (paymentInfo.getPaymentType()!=null) 
            System.out.println("	Payment Type: " + paymentInfo.getPaymentType().toString());
        if (paymentInfo.getPaymentDate()!=null) 
            System.out.println("	Payment Date: " + paymentInfo.getPaymentDate().getTime());
        if (paymentInfo.getGrossAmount()!=null) 
            System.out.println("	Gross Amount: " + paymentInfo.getGrossAmount().toString() + " " + paymentInfo.getGrossAmount().getCurrencyID().toString());
	if (paymentInfo.getFeeAmount()!=null) 
            System.out.println("	Fee Amount: " + paymentInfo.getFeeAmount().toString() + " " + paymentInfo.getFeeAmount().getCurrencyID().toString());
        if (paymentInfo.getSettleAmount()!=null) 
            System.out.println("	Settle Amount: " + paymentInfo.getSettleAmount().toString() + " " + paymentInfo.getSettleAmount().getCurrencyID().toString());
        if (paymentInfo.getExchangeRate()!=null) 
            System.out.println("	Exchang rate: " + paymentInfo.getExchangeRate());
        System.out.println("	Paymt Status: " + paymentInfo.getPaymentStatus().toString());
	if (paymentInfo.getPendingReason()!=null)
            System.out.println("	Pend Reason: " + paymentInfo.getPendingReason().toString());
        if (paymentInfo.getReasonCode()!=null)
            System.out.println("	Reason Code: " + paymentInfo.getReasonCode().toString());
    }

    public void printMerchantPullInfoType(eBLBaseComponents.apis.ebay.MerchantPullInfoType merchantPullInfo) {
	if (merchantPullInfo.getMpStatus() != null)
	    System.out.println("	MerchantPullStatus:	" + merchantPullInfo.getMpStatus().toString());
	if (merchantPullInfo.getMpMax() != null)
	    System.out.println("	MerchantPullMax:	" + merchantPullInfo.getMpMax().toString() + " " + merchantPullInfo.getMpMax().getCurrencyID().toString());
	if (merchantPullInfo.getMpCustom() != null)
	    System.out.println("	MerchantPullCustom:	" + merchantPullInfo.getMpCustom());
	if (merchantPullInfo.getDesc() != null)
	    System.out.println("	MerchantPullDesc:	" + merchantPullInfo.getDesc());
	if (merchantPullInfo.getInvoice() != null)
	    System.out.println("	MerchantPullInvoice:	" + merchantPullInfo.getInvoice());
	if (merchantPullInfo.getCustom() != null)
	    System.out.println("	Custom:		" + merchantPullInfo.getCustom());
	if (merchantPullInfo.getPaymentSourceID() != null)
	    System.out.println("	PaymentSourceID:	" + merchantPullInfo.getPaymentSourceID());
    }

    public void printPaymentTnxSearchResult(eBLBaseComponents.apis.ebay.PaymentTransactionSearchResultType paymentTransaction) {
	if (paymentTransaction.getTimestamp() != null)
	    System.out.println("	Timestamp:	" + paymentTransaction.getTimestamp().getTime());	
	if (paymentTransaction.getTimezone().length() != 0)
	    System.out.println("	TimeZone:	" + paymentTransaction.getTimezone());	
	if (paymentTransaction.getType().length() != 0)
	    System.out.println("	Transaction Type:	" + paymentTransaction.getType());	
	if (paymentTransaction.getPayer() != null)
	    System.out.println("	Payer Email:	" + paymentTransaction.getPayer().toString());	
	System.out.println("	Payer Name:	" + paymentTransaction.getPayerDisplayName());	
	if (paymentTransaction.getTransactionID() != null)
	    System.out.println("	Transaction ID:	" + paymentTransaction.getTransactionID());	
	if (paymentTransaction.getStatus() != null)
	    System.out.println("	Status:		" + paymentTransaction.getStatus().toString());	
	if (paymentTransaction.getGrossAmount() != null)
	    System.out.println("	Gross Amount:	" + paymentTransaction.getGrossAmount().toString() + paymentTransaction.getGrossAmount().getCurrencyID().toString());	
	if (paymentTransaction.getFeeAmount() != null)
	    System.out.println("	Fee Amount:	" + paymentTransaction.getFeeAmount().toString() + paymentTransaction.getFeeAmount().getCurrencyID().toString());	
	if (paymentTransaction.getNetAmount() != null)
	    System.out.println("	Net Amount:	" + paymentTransaction.getNetAmount().toString() + paymentTransaction.getNetAmount().getCurrencyID().toString());	
    }

    public void printReceiverInfo(eBLBaseComponents.apis.ebay.ReceiverInfoType receiverInfo) {
	if (receiverInfo.getBusiness() != null)
	    System.out.println("	Bus. email:	" + receiverInfo.getBusiness().toString());
	if (receiverInfo.getReceiver() != null)
	    System.out.println("	Recvr email:	" + receiverInfo.getReceiver().toString());
	if (receiverInfo.getReceiverID() != null)
	    System.out.println("	Recvr ID:	" + receiverInfo.getReceiverID().toString());
    }

    public void printPaymentItemInfo(eBLBaseComponents.apis.ebay.PaymentItemInfoType paymentItemInfo) {
	if (paymentItemInfo.getInvoiceID() != null) 
	    System.out.println("	Invoice ID:	" + paymentItemInfo.getInvoiceID());
        if (paymentItemInfo.getCustom() != null) 
	    System.out.println("	Custom:	" + paymentItemInfo.getCustom());
        if (paymentItemInfo.getMemo() != null) 
	    System.out.println("	Memo:	" + paymentItemInfo.getMemo());
	if (paymentItemInfo.getSalesTax() != null)
            System.out.println("	Sales Tax:	" + paymentItemInfo.getSalesTax());

        eBLBaseComponents.apis.ebay.PaymentItemType[] pit = paymentItemInfo.getPaymentItem();
        if (pit != null) {
            for (int i=0; i<pit.length; i++) {
                System.out.println("	---- Payment Item [" + i +"]:");
		printPaymentItemType(pit[i]);
            }
        }

        eBLBaseComponents.apis.ebay.SubscriptionInfoType s = paymentItemInfo.getSubscription();
        if (s!=null) {
            System.out.println("	---- Subscription: ");
	    printSubscriptionInfoType(s);
	}

        eBLBaseComponents.apis.ebay.AuctionInfoType a = paymentItemInfo.getAuction();
	if (a != null) {
	    System.out.println("	---- Auction: ");
	    printAuctionInfoType(a);
	}
    }

    public void printSubscriptionInfoType(eBLBaseComponents.apis.ebay.SubscriptionInfoType subscription) {
	if (subscription.getSubscriptionID() != null) 
	    System.out.println("	Subscript ID:	" + subscription.getSubscriptionID());
	if (subscription.getSubscriptionDate() != null) 
	    System.out.println("	Subscription Date:	" + subscription.getSubscriptionDate().getTime());
	if (subscription.getEffectiveDate() != null) 
	    System.out.println("	Effective Date:	" + subscription.getEffectiveDate().getTime());
	if (subscription.getRetryTime() != null) 
	    System.out.println("	Retry Time:	" + subscription.getRetryTime().getTime());
	if (subscription.getUsername() != null) 
	    System.out.println("	Username:	" + subscription.getUsername());
	if (subscription.getPassword() !=null) 
	    System.out.println("	Password:	" + subscription.getPassword());
	if (subscription.getRecurrences() != null) 
	    System.out.println("	Recurrences:	" + subscription.getRecurrences());

	eBLBaseComponents.apis.ebay.SubscriptionTermsType[] term = subscription.getTerms();
	for (int k=0; term!=null && k<term.length; k++) {
	    System.out.println("	---- Subscription Term [" + k + "]:");
	    printSubscriptionTermsType(term[k]);
	}

	if (subscription.getReattempt()!=null)
	    System.out.println("	Reattempt:	" + subscription.getReattempt());
	if (subscription.getRecurring()!=null)
	    System.out.println("	Recurring:	" + subscription.getRecurring());
	    
	/*
            <xs:element name="SubscriptionDate" type="xs:dateTime" minOccurs="0" maxOccurs="1"/>
            <xs:element name="EffectiveDate" type="xs:dateTime" minOccurs="0" maxOccurs="1"/>
            <xs:element name="RetryTime" type="xs:dateTime" minOccurs="0" maxOccurs="1"/>

<xs:element name="Username" type="xs:string" minOccurs="0" maxOccurs="1" nillable="true"/>
            <xs:element name="Password" type="xs:string" minOccurs="0" maxOccurs="1" nillable="true"/>
            <xs:element name="Recurrences" type="xs:string" minOccurs="0" maxOccurs="1" nillable="true"/>
            <xs:element name="Terms" type="ns:SubscriptionTermsType" minOccurs="0" maxOccurs="unbounded"/>
            */

    }

    public void printSubscriptionTermsType(eBLBaseComponents.apis.ebay.SubscriptionTermsType term) {
	if (term.getAmount() != null) 
	    System.out.println("	Amount:	" + term.getAmount().toString() + term.getAmount().getCurrencyID().toString());
	if (term.getPeriod() != null) 
	    System.out.println("	Period:	" + term.getPeriod());
    }

    public void printAuctionInfoType(eBLBaseComponents.apis.ebay.AuctionInfoType auction) {
	if (auction.getBuyerID() != null) 
	    System.out.println("	Buyer ID:	" + auction.getBuyerID());
	if (auction.getClosingDate() != null) 
	    System.out.println("	Closing Date:	" + auction.getClosingDate().getTime());
	if (auction.getMultiItem() != null) 
	    System.out.println("	MultiIteme:	" + auction.getMultiItem());
    }
    
    public void printPaymentItemType(eBLBaseComponents.apis.ebay.PaymentItemType paymentItem ) {
	if (paymentItem.getName() != null) 
	    System.out.println("	Name:	" + paymentItem.getName());
	if (paymentItem.getNumber() != null) 
	    System.out.println("	Number:	" + paymentItem.getNumber());
	if (paymentItem.getQuantity() != null) 
	    System.out.println("	Quantity:	" + paymentItem.getQuantity());
	if (paymentItem.getSalesTax() != null) 
	    System.out.println("	Sales Tax:	" + paymentItem.getSalesTax());

	eBLBaseComponents.apis.ebay.OptionType[] pito = paymentItem.getOptions();
	for (int j=0; pito!=null && j<pito.length; j++) {
	    System.out.println("	---- Options [" + j + "]:");
	    printOptionType(pito[j]);
	}
    }

    public void printOptionType(eBLBaseComponents.apis.ebay.OptionType option ) {
	if (option.getName() != null)
	    System.out.println("	Option name:	" + option.getName());
	if (option.getValue() != null)
	    System.out.println("	Otion value:	" + option.getValue());
    }

    public void printMassPayItemType(PayPalAPI.api.ebay.MassPayRequestItemType itemType) {
	if (itemType.getReceiverEmail() != null)
	    System.out.println("	Receiver Email:	" + itemType.getReceiverEmail().toString());
	if (itemType.getAmount() != null) {
	    System.out.println("	Amount: 	" + itemType.getAmount().toString());
		System.out.println("	Currency:	" + itemType.getAmount().getCurrencyID().toString());
	}
	if (itemType.getUniqueId() != null)
	    System.out.println("	UniqueId: 	" + itemType.getUniqueId());
	if (itemType.getNote() != null)
	    System.out.println("	Note:		" + itemType.getNote());
    }

	public void printBAUpdatedResponseDetails(eBLBaseComponents.apis.ebay.BAUpdateResponseDetailsType restype) {
		if (restype.getMpID() != null)
			System.out.println("	Merchant Pull ID:	" + restype.getMpID().toString());
		if (restype.getPayerInfo() != null)
			printPayerInfoType(restype.getPayerInfo());
		if (restype.getMerchantPullInfo() != null)
			printMerchantPullInfoType(restype.getMerchantPullInfo());
	}

}
