
package com.paypal.api.client;
import java.io.*;
import java.util.*;
import java.lang.*;

public class ReadArgs {
    protected Hashtable nvp;
    protected Vector new_list;
    protected boolean parsed_ok;
    public ReadArgs(String pattern, String[] Args) { //big ctor
	int j,k;
        parsed_ok=false;
        nvp = new Hashtable();  //Name Value Pairs
        new_list = new Vector();
        String[] p = pattern.split(" ");
        String[] s = new String[p.length];
        String[] t = new String[p.length];
        for (j=0; j<p.length; j++) {
            String[] x = p[j].split(":",2);
            s[j] = x[0];
            t[j] = x[1];
        }
        for (j=0; j<Args.length; ) {
            int d=0;
	    if (Args[j].startsWith("--")) {d=2;}
	    if (Args[j].startsWith("-")) {d=1;}
            if (d==0) {
                new_list.addElement(Args[j++]);
            } else {
                for (k=0; k<s.length; k++) {
                    if (s[k].startsWith(Args[j].substring(d))) { break; }
                }
                if (k>=s.length) {
                    System.err.println("option not found: "+Args[j]);
                    return;
                }
                String v;
                if (t[k].length()!=0) {
                    if (j>=Args.length-1) {
                        System.err.println("command line parse err");  // type string
                        return;
                    }
                    v = Args[j+1];
                    if (t[k].equals("i")) {
                        if (!v.matches("-?\\d+")) {  // type int
                            System.err.println("expecting integer "+Args[j]+" "+v);
                            return;
                        }
                        nvp.put(s[k], new Integer(v));
                    }
                    else if (t[k].equals("f")) {
                        if (!v.matches("[+-]?\\d+(:?\\.\\d+)?(:?[eE][+-]\\d+)?")){  // float
                            System.err.println("expecting float number "+Args[j]+" "+v);
                            return;
                        }
                        nvp.put(s[k], new Float(v));
                    }
                    else if (t[k].equals("s")) {
                        nvp.put(s[k], v);
                    }
                    else {
                        System.err.println("Bad format type in pattern "+pattern
                               +" at "+s[k]+":"+t[k]+" should be i,s,f or empty");
                        return;
                    }
                    j+=2;
                } else {
                    j+=1;
                    nvp.put(s[k], new Boolean(true));
                }
            }
        }
        parsed_ok=true;
    }
    public String[] args() {
        String[] argv = new String [new_list.size()];
        for (int k=0; k<argv.length; k++) {
            argv[k]=(String)new_list.get(k);
        }
	return argv;
    }
    public Hashtable hash() {
	return nvp;
    }
    public Object val(String name) {
	return nvp.get(name);  // returns null if not present
    }
    public Object val(String name, Object default_val) {
	return nvp.containsKey(name) ? nvp.get(name) : default_val;
    }
    public boolean contains(String name) {
	return nvp.containsKey(name);
    }
    public boolean ok() {
        return parsed_ok;
    }
}
