
package com.paypal.api.client;
import java.io.*;
import java.util.*;

public class SimpleConfigFile
{
    protected static String config_file;
    protected static Properties h=null;
    public SimpleConfigFile() throws Exception {
	if (h == null) {
	    System.err.println( "SimpleConfigFile: no file instantiated in constructor" );
            throw new IOException("SimpleConfigFile: no file instantiated in constructor");
        }

    }
    public SimpleConfigFile(String file) throws Exception {
    	config_file = file;
	if (h == null) { read_file(); }
    }
    public String filename() {return config_file;}
    protected void read_file() throws Exception
    {
	if (config_file == null) {
	    System.err.println( "SimpleConfigFile: no file instantiated in constructor" );
            throw new IOException("SimpleConfigFile: no file instantiated in constructor");
	}
        h = new Properties();
	File f = new File( config_file );
	if ( !f.exists() || !f.canRead() ) {
	    System.err.println( "Can't read " + config_file );
	    throw new IOException( "Can't read " + config_file );
	}
        try {
	    System.out.println( "READING \"" + config_file + "\"");
            FileReader fr = new FileReader ( f );
	    BufferedReader in = new BufferedReader( fr );
	    String line;
	    while((line = in.readLine()) != null) {
		if (line.matches("\\s*\\w+\\s*=\\s*['\"].*['\"]\\s*(:?#.*)?")) {
		    String[] token = line.split("\\s*=\\s*",2);
		    if (h.containsKey(token[0])) {
                        System.err.println("duplicate name in "+config_file+", \""+token[0]+"\"");
                        System.exit(1);
                    }
		    String v = token[1].trim(); // trim trailing spaces
                    int closequote = 0;
		    if (v.startsWith("'")) {
                        closequote = v.indexOf("'",1);
		    } else if (v.startsWith("\"")) {
                        closequote = v.indexOf('"',1);
		    }
                    if (closequote>0) { v = v.substring(1,closequote); }
                    if (closequote<0) { throw new IOException("parse err"); }
		    h.put(token[0], v);
		    //System.out.println("\"" +token[0]+ "\"  -->  \"" +v+ "\"");
		} else
		if (line.matches("\\s*(:?#.*)?")) {  // blank lines ok
		} else {
	            String msg ="com.paypal.api.client.SimpleConfigFile: "
                               +"Parse error reading config file, \""+config_file
                               +"\"\n Reading line \""+line+"\"";
	            System.err.println(msg);
	            throw new IOException(msg);
                }
	    }
	}
	catch (FileNotFoundException e) {
	    System.err.println("problems reading config file: "+config_file);
	    throw new IOException("problems reading config file: "+config_file);
	}
    }
    public String val(String name) {
	return h.getProperty(name);
    }
    public String val(String name, String default_val) {
	String v = h.getProperty(name);
	return v==null ? default_val : v;
    }
    public void set(String name, String value) {
	h.put(name,value);
    }
}
